# docs-maker

docs-maker — это удобный и мощный инструмент для автоматизации создания документов. С его помощью можно быстро и легко генерировать различные документы, используя шаблоны и интеграции. Подходит как для личных, так и для профессиональных проектов, где требуется гибкость и масштабируемость в создании документации.
Основные возможности:

- Генерация документов на основе пользовательских шаблонов.
- Поддержка различных форматов вывода.
- Интуитивно понятный графический интерфейс.
- Легкость в интеграции с другими системами и приложениями.

## Быстрый старт:
### Сборка
Для начала выполните сборку проекта:
~~~
poetry build
~~~

### Установка
Чтобы установить docs-maker, выполните команду:
~~~
pip install .
~~~
### Запуск
После установки запустите программу:
~~~
docs-maker
~~~
Для получения справки по командам и возможностям используйте:
~~~
docs-maker --help
~~~

### Запуск тестов
Чтобы запустить тесты, выполните команду:
~~~
python -m pytest tests
~~~

### Графический интерфейс (GUI)
Для работы с графическим интерфейсом программы можно использовать одну из команд:
~~~
docs-maker gui
~~~
или

~~~
python -m docs_maker gui
~~~
или
~~~
python -m docs_maker_gui
~~~
